var AllStyles = require('../AllStyles');

var PandaSquare = {
    burst : true,
    case : {
        shape : AllStyles.shape.rounded,
        bg : AllStyles.background.steel,
    },
    dial : {
        shape : AllStyles.shape.roundedCircle,
        bg : AllStyles.background.faded
    },
    hands : {
        type : {
            hour : 'hour',
            minute : 'minute',
            second : 'second'
        },
        hour : {
            color : AllStyles.background.inverse
        },
        minute : {
            color : AllStyles.background.success
        },
        second : {
            color : AllStyles.background.primary
        },
    },
    index : {
        color : AllStyles.background.inverse,
        nodeCount : AllStyles.index.type.hour,
        customNode : {
            3 : {
                display : AllStyles.display.none
            },
            9 : {
                display : AllStyles.display.none
            },                        
            12 : {
                display : AllStyles.display.none
            }
        }
    },
    grid : {
        2 : {
            label : {
                color : AllStyles.color.gray,
                font : AllStyles.font.monoton,
                text : 'IWD'
            }
        },
        4 : {
            dial : {
                border : 'solid black 1px',
                shape : AllStyles.shape.roundedCircle,
                bg : AllStyles.background.greyFume
            },
            index : {
                color : AllStyles.background.faded,
                nodeCount : AllStyles.index.type.hour
            },
            hand : {
                color : AllStyles.background.info
            }            
        },
        6 : {
            dial : {
                border : 'solid black 1px',
                shape : AllStyles.shape.roundedCircle,
                bg : AllStyles.background.greyFume
            },
            index : {
                color : AllStyles.background.faded,
                nodeCount : AllStyles.index.type.hour
            },
            hand : {
                color : AllStyles.background.info
            }
        }
    }    
}

module.exports = PandaSquare;